Sends a payload to an event trigger, resolving it.
curl --request POST \
--url https://api.strait.dev/v1/events/{eventKey}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": "<unknown>"
}
'{
"event_key": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"status": "<string>",
"timeout_secs": 123,
"$schema": "<string>",
"error": "<string>",
"job_run_id": "<string>",
"notify_status": "<string>",
"notify_url": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"request_payload": "<unknown>",
"response_payload": "<unknown>",
"sent_by": "<string>",
"trigger_type": "<string>",
"workflow_run_id": "<string>",
"workflow_step_run_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/EventTrigger.json"
curl --request POST \
--url https://api.strait.dev/v1/events/{eventKey}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": "<unknown>"
}
'{
"event_key": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"project_id": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"source_type": "<string>",
"status": "<string>",
"timeout_secs": 123,
"$schema": "<string>",
"error": "<string>",
"job_run_id": "<string>",
"notify_status": "<string>",
"notify_url": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"request_payload": "<unknown>",
"response_payload": "<unknown>",
"sent_by": "<string>",
"trigger_type": "<string>",
"workflow_run_id": "<string>",
"workflow_step_run_id": "<string>"
}